	.reference	___bb_appstub_appstub
	.reference	___bb_astar_astar
	.reference	___bb_audio_audio
	.reference	___bb_bank_bank
	.reference	___bb_bankstream_bankstream
	.reference	___bb_basic_basic
	.reference	___bb_blitz_blitz
	.reference	___bb_bmploader_bmploader
	.reference	___bb_d3d7max2d_d3d7max2d
	.reference	___bb_directx_directx
	.reference	___bb_dxgraphics_dxgraphics
	.reference	___bb_event_event
	.reference	___bb_eventqueue_eventqueue
	.reference	___bb_font_font
	.reference	___bb_freeaudioaudio_freeaudioaudio
	.reference	___bb_freejoy_freejoy
	.reference	___bb_freeprocess_freeprocess
	.reference	___bb_freetypefont_freetypefont
	.reference	___bb_glew_glew
	.reference	___bb_glgraphics_glgraphics
	.reference	___bb_glmax2d_glmax2d
	.reference	___bb_gnet_gnet
	.reference	___bb_jpgloader_jpgloader
	.reference	___bb_macos_macos
	.reference	___bb_maxutil_maxutil
	.reference	___bb_oggloader_oggloader
	.reference	___bb_pngloader_pngloader
	.reference	___bb_retro_retro
	.reference	___bb_tgaloader_tgaloader
	.reference	___bb_timer_timer
	.reference	___bb_wavloader_wavloader
	.reference	___bb_win32_win32
	.reference	__brl_linkedlist_TList_AddFirst
	.reference	__brl_linkedlist_TList_AddLast
	.reference	__brl_linkedlist_TList_Clear
	.reference	__brl_linkedlist_TList_Contains
	.reference	__brl_linkedlist_TList_Copy
	.reference	__brl_linkedlist_TList_Count
	.reference	__brl_linkedlist_TList_DataType
	.reference	__brl_linkedlist_TList_Delete
	.reference	__brl_linkedlist_TList_FindLink
	.reference	__brl_linkedlist_TList_First
	.reference	__brl_linkedlist_TList_FirstLink
	.reference	__brl_linkedlist_TList_FromArray
	.reference	__brl_linkedlist_TList_InsertAfterLink
	.reference	__brl_linkedlist_TList_InsertBeforeLink
	.reference	__brl_linkedlist_TList_IsEmpty
	.reference	__brl_linkedlist_TList_Last
	.reference	__brl_linkedlist_TList_LastLink
	.reference	__brl_linkedlist_TList_New
	.reference	__brl_linkedlist_TList_ObjectEnumerator
	.reference	__brl_linkedlist_TList_Remove
	.reference	__brl_linkedlist_TList_RemoveFirst
	.reference	__brl_linkedlist_TList_RemoveLast
	.reference	__brl_linkedlist_TList_Reverse
	.reference	__brl_linkedlist_TList_Reversed
	.reference	__brl_linkedlist_TList_Sort
	.reference	__brl_linkedlist_TList_Swap
	.reference	__brl_linkedlist_TList_ToArray
	.reference	__brl_linkedlist_TList_ValueAtIndex
	.reference	_bbArrayNew1D
	.reference	_bbEmptyArray
	.reference	_bbEmptyString
	.reference	_bbGCFree
	.reference	_bbNullObject
	.reference	_bbObjectClass
	.reference	_bbObjectCompare
	.reference	_bbObjectCtor
	.reference	_bbObjectDtor
	.reference	_bbObjectFree
	.reference	_bbObjectNew
	.reference	_bbObjectReserved
	.reference	_bbObjectSendMessage
	.reference	_bbObjectToString
	.reference	_bbOnDebugEnterScope
	.reference	_bbOnDebugEnterStm
	.reference	_bbOnDebugLeaveScope
	.reference	_bbStringClass
	.reference	_brl_blitz_ArrayBoundsError
	.reference	_brl_blitz_NullObjectError
	.reference	_brl_linkedlist_TLink
	.reference	_brl_linkedlist_TList
	.globl	__bb_game_item_Delete
	.globl	__bb_game_item_New
	.globl	__bb_inv_slot_Delete
	.globl	__bb_inv_slot_New
	.globl	__bb_inv_slot_create
	.globl	__bb_inventory_Delete
	.globl	__bb_inventory_New
	.globl	__bb_inventory_add
	.globl	__bb_inventory_pickup
	.globl	__bb_item_Delete
	.globl	__bb_item_New
	.globl	__bb_item_create
	.globl	__bb_main
	.globl	_bb_game_item
	.globl	_bb_inv_slot
	.globl	_bb_inventory
	.globl	_bb_item
	.globl	_bb_item_template
	.text	
__bb_main:
	push	%ebp
	mov	%esp,%ebp
	sub	$212,%esp
	push	%ebx
	sub	$48,%esp
	cmpl	$0,_221
	je	_222
	mov	$0,%eax
	add	$48,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
_222:
	movl	$1,_221
	movl	%ebp,4(%esp)
	movl	$_215,(%esp)
	calll	*_bbOnDebugEnterScope
	call	___bb_blitz_blitz
	call	___bb_appstub_appstub
	call	___bb_audio_audio
	call	___bb_bank_bank
	call	___bb_bankstream_bankstream
	call	___bb_basic_basic
	call	___bb_bmploader_bmploader
	call	___bb_d3d7max2d_d3d7max2d
	call	___bb_dxgraphics_dxgraphics
	call	___bb_event_event
	call	___bb_eventqueue_eventqueue
	call	___bb_font_font
	call	___bb_freeaudioaudio_freeaudioaudio
	call	___bb_freetypefont_freetypefont
	call	___bb_glgraphics_glgraphics
	call	___bb_glmax2d_glmax2d
	call	___bb_gnet_gnet
	call	___bb_jpgloader_jpgloader
	call	___bb_maxutil_maxutil
	call	___bb_oggloader_oggloader
	call	___bb_pngloader_pngloader
	call	___bb_retro_retro
	call	___bb_tgaloader_tgaloader
	call	___bb_timer_timer
	call	___bb_wavloader_wavloader
	call	___bb_astar_astar
	call	___bb_directx_directx
	call	___bb_freejoy_freejoy
	call	___bb_freeprocess_freeprocess
	call	___bb_glew_glew
	call	___bb_macos_macos
	call	___bb_win32_win32
	movl	$_105,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	_109,%eax
	and	$1,%eax
	cmp	$0,%eax
	jne	_110
	movl	$13,4(%esp)
	movl	$_107,(%esp)
	call	_bbArrayNew1D
	movl	%eax,-4(%ebp)
	movl	-4(%ebp),%eax
	incl	4(%eax)
	movl	-4(%ebp),%eax
	movl	%eax,_bb_item_template
	orl	$1,_109
_110:
	movl	$_111,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$0,%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_113
	call	_brl_blitz_ArrayBoundsError
_113:
	movl	_bb_item_template,%eax
	shl	$2,%ebx
	add	%ebx,%eax
	movl	%eax,-8(%ebp)
	movl	$0,32(%esp)
	movl	$0,28(%esp)
	movl	$0,24(%esp)
	movl	$40,20(%esp)
	movl	$_1,16(%esp)
	movl	$0,12(%esp)
	movl	$_1,8(%esp)
	movl	$_5,4(%esp)
	movl	$_4,(%esp)
	calll	*_bb_item+48
	movl	%eax,-12(%ebp)
	movl	-12(%ebp),%eax
	incl	4(%eax)
	movl	-12(%ebp),%eax
	movl	%eax,-16(%ebp)
	movl	-8(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-20(%ebp)
	movl	-20(%ebp),%eax
	decl	4(%eax)
	jnz	_118
	movl	-20(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_118:
	movl	-8(%ebp),%edx
	movl	-16(%ebp),%eax
	movl	%eax,24(%edx)
	movl	$_119,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$1,%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_121
	call	_brl_blitz_ArrayBoundsError
_121:
	movl	_bb_item_template,%eax
	shl	$2,%ebx
	add	%ebx,%eax
	movl	%eax,-24(%ebp)
	movl	$0,32(%esp)
	movl	$0,28(%esp)
	movl	$0,24(%esp)
	movl	$100,20(%esp)
	movl	$_1,16(%esp)
	movl	$0,12(%esp)
	movl	$_1,8(%esp)
	movl	$_7,4(%esp)
	movl	$_6,(%esp)
	calll	*_bb_item+48
	movl	%eax,-28(%ebp)
	movl	-28(%ebp),%eax
	incl	4(%eax)
	movl	-28(%ebp),%eax
	movl	%eax,-32(%ebp)
	movl	-24(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-36(%ebp)
	movl	-36(%ebp),%eax
	decl	4(%eax)
	jnz	_126
	movl	-36(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_126:
	movl	-24(%ebp),%edx
	movl	-32(%ebp),%eax
	movl	%eax,24(%edx)
	movl	$_127,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$2,%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_129
	call	_brl_blitz_ArrayBoundsError
_129:
	movl	_bb_item_template,%eax
	shl	$2,%ebx
	add	%ebx,%eax
	movl	%eax,-40(%ebp)
	movl	$0,32(%esp)
	movl	$0,28(%esp)
	movl	$0,24(%esp)
	movl	$0,20(%esp)
	movl	$_1,16(%esp)
	movl	$1,12(%esp)
	movl	$_1,8(%esp)
	movl	$_9,4(%esp)
	movl	$_8,(%esp)
	calll	*_bb_item+48
	movl	%eax,-44(%ebp)
	movl	-44(%ebp),%eax
	incl	4(%eax)
	movl	-44(%ebp),%eax
	movl	%eax,-48(%ebp)
	movl	-40(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-52(%ebp)
	movl	-52(%ebp),%eax
	decl	4(%eax)
	jnz	_134
	movl	-52(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_134:
	movl	-40(%ebp),%edx
	movl	-48(%ebp),%eax
	movl	%eax,24(%edx)
	movl	$_135,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$3,%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_137
	call	_brl_blitz_ArrayBoundsError
_137:
	movl	_bb_item_template,%eax
	shl	$2,%ebx
	add	%ebx,%eax
	movl	%eax,-56(%ebp)
	movl	$0,32(%esp)
	movl	$0,28(%esp)
	movl	$0,24(%esp)
	movl	$0,20(%esp)
	movl	$_1,16(%esp)
	movl	$2,12(%esp)
	movl	$_1,8(%esp)
	movl	$_11,4(%esp)
	movl	$_10,(%esp)
	calll	*_bb_item+48
	movl	%eax,-60(%ebp)
	movl	-60(%ebp),%eax
	incl	4(%eax)
	movl	-60(%ebp),%eax
	movl	%eax,-64(%ebp)
	movl	-56(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-68(%ebp)
	movl	-68(%ebp),%eax
	decl	4(%eax)
	jnz	_142
	movl	-68(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_142:
	movl	-56(%ebp),%edx
	movl	-64(%ebp),%eax
	movl	%eax,24(%edx)
	movl	$_143,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$4,%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_145
	call	_brl_blitz_ArrayBoundsError
_145:
	movl	_bb_item_template,%eax
	shl	$2,%ebx
	add	%ebx,%eax
	movl	%eax,-72(%ebp)
	movl	$10,32(%esp)
	movl	$0,28(%esp)
	movl	$0,24(%esp)
	movl	$0,20(%esp)
	movl	$_1,16(%esp)
	movl	$0,12(%esp)
	movl	$_1,8(%esp)
	movl	$_13,4(%esp)
	movl	$_12,(%esp)
	calll	*_bb_item+48
	movl	%eax,-76(%ebp)
	movl	-76(%ebp),%eax
	incl	4(%eax)
	movl	-76(%ebp),%eax
	movl	%eax,-80(%ebp)
	movl	-72(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-84(%ebp)
	movl	-84(%ebp),%eax
	decl	4(%eax)
	jnz	_150
	movl	-84(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_150:
	movl	-72(%ebp),%edx
	movl	-80(%ebp),%eax
	movl	%eax,24(%edx)
	movl	$_151,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$5,%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_153
	call	_brl_blitz_ArrayBoundsError
_153:
	movl	_bb_item_template,%eax
	shl	$2,%ebx
	add	%ebx,%eax
	movl	%eax,-88(%ebp)
	movl	$0,32(%esp)
	movl	$0,28(%esp)
	movl	$0,24(%esp)
	movl	$0,20(%esp)
	movl	$_1,16(%esp)
	movl	$0,12(%esp)
	movl	$_16,8(%esp)
	movl	$_15,4(%esp)
	movl	$_14,(%esp)
	calll	*_bb_item+48
	movl	%eax,-92(%ebp)
	movl	-92(%ebp),%eax
	incl	4(%eax)
	movl	-92(%ebp),%eax
	movl	%eax,-96(%ebp)
	movl	-88(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-100(%ebp)
	movl	-100(%ebp),%eax
	decl	4(%eax)
	jnz	_158
	movl	-100(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_158:
	movl	-88(%ebp),%edx
	movl	-96(%ebp),%eax
	movl	%eax,24(%edx)
	movl	$_159,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$6,%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_161
	call	_brl_blitz_ArrayBoundsError
_161:
	movl	_bb_item_template,%eax
	shl	$2,%ebx
	add	%ebx,%eax
	movl	%eax,-104(%ebp)
	movl	$0,32(%esp)
	movl	$0,28(%esp)
	movl	$0,24(%esp)
	movl	$0,20(%esp)
	movl	$_1,16(%esp)
	movl	$0,12(%esp)
	movl	$_19,8(%esp)
	movl	$_18,4(%esp)
	movl	$_17,(%esp)
	calll	*_bb_item+48
	movl	%eax,-108(%ebp)
	movl	-108(%ebp),%eax
	incl	4(%eax)
	movl	-108(%ebp),%eax
	movl	%eax,-112(%ebp)
	movl	-104(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-116(%ebp)
	movl	-116(%ebp),%eax
	decl	4(%eax)
	jnz	_166
	movl	-116(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_166:
	movl	-104(%ebp),%edx
	movl	-112(%ebp),%eax
	movl	%eax,24(%edx)
	movl	$_167,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$7,%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_169
	call	_brl_blitz_ArrayBoundsError
_169:
	movl	_bb_item_template,%eax
	shl	$2,%ebx
	add	%ebx,%eax
	movl	%eax,-120(%ebp)
	movl	$0,32(%esp)
	movl	$0,28(%esp)
	movl	$0,24(%esp)
	movl	$0,20(%esp)
	movl	$_1,16(%esp)
	movl	$0,12(%esp)
	movl	$_1,8(%esp)
	movl	$_21,4(%esp)
	movl	$_20,(%esp)
	calll	*_bb_item+48
	movl	%eax,-124(%ebp)
	movl	-124(%ebp),%eax
	incl	4(%eax)
	movl	-124(%ebp),%eax
	movl	%eax,-128(%ebp)
	movl	-120(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-132(%ebp)
	movl	-132(%ebp),%eax
	decl	4(%eax)
	jnz	_174
	movl	-132(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_174:
	movl	-120(%ebp),%edx
	movl	-128(%ebp),%eax
	movl	%eax,24(%edx)
	movl	$_175,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$8,%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_177
	call	_brl_blitz_ArrayBoundsError
_177:
	movl	_bb_item_template,%eax
	shl	$2,%ebx
	add	%ebx,%eax
	movl	%eax,-136(%ebp)
	movl	$0,32(%esp)
	movl	$0,28(%esp)
	movl	$0,24(%esp)
	movl	$0,20(%esp)
	movl	$_1,16(%esp)
	movl	$0,12(%esp)
	movl	$_1,8(%esp)
	movl	$_23,4(%esp)
	movl	$_22,(%esp)
	calll	*_bb_item+48
	movl	%eax,-140(%ebp)
	movl	-140(%ebp),%eax
	incl	4(%eax)
	movl	-140(%ebp),%eax
	movl	%eax,-144(%ebp)
	movl	-136(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-148(%ebp)
	movl	-148(%ebp),%eax
	decl	4(%eax)
	jnz	_182
	movl	-148(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_182:
	movl	-136(%ebp),%edx
	movl	-144(%ebp),%eax
	movl	%eax,24(%edx)
	movl	$_183,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$9,%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_185
	call	_brl_blitz_ArrayBoundsError
_185:
	movl	_bb_item_template,%eax
	shl	$2,%ebx
	add	%ebx,%eax
	movl	%eax,-152(%ebp)
	movl	$0,32(%esp)
	movl	$0,28(%esp)
	movl	$0,24(%esp)
	movl	$0,20(%esp)
	movl	$_26,16(%esp)
	movl	$0,12(%esp)
	movl	$_1,8(%esp)
	movl	$_25,4(%esp)
	movl	$_24,(%esp)
	calll	*_bb_item+48
	movl	%eax,-156(%ebp)
	movl	-156(%ebp),%eax
	incl	4(%eax)
	movl	-156(%ebp),%eax
	movl	%eax,-160(%ebp)
	movl	-152(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-164(%ebp)
	movl	-164(%ebp),%eax
	decl	4(%eax)
	jnz	_190
	movl	-164(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_190:
	movl	-152(%ebp),%edx
	movl	-160(%ebp),%eax
	movl	%eax,24(%edx)
	movl	$_191,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$10,%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_193
	call	_brl_blitz_ArrayBoundsError
_193:
	movl	_bb_item_template,%eax
	shl	$2,%ebx
	add	%ebx,%eax
	movl	%eax,-168(%ebp)
	movl	$0,32(%esp)
	movl	$0,28(%esp)
	movl	$0,24(%esp)
	movl	$0,20(%esp)
	movl	$_1,16(%esp)
	movl	$0,12(%esp)
	movl	$_1,8(%esp)
	movl	$_28,4(%esp)
	movl	$_27,(%esp)
	calll	*_bb_item+48
	movl	%eax,-172(%ebp)
	movl	-172(%ebp),%eax
	incl	4(%eax)
	movl	-172(%ebp),%eax
	movl	%eax,-176(%ebp)
	movl	-168(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-180(%ebp)
	movl	-180(%ebp),%eax
	decl	4(%eax)
	jnz	_198
	movl	-180(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_198:
	movl	-168(%ebp),%edx
	movl	-176(%ebp),%eax
	movl	%eax,24(%edx)
	movl	$_199,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$11,%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_201
	call	_brl_blitz_ArrayBoundsError
_201:
	movl	_bb_item_template,%eax
	shl	$2,%ebx
	add	%ebx,%eax
	movl	%eax,-184(%ebp)
	movl	$0,32(%esp)
	movl	$0,28(%esp)
	movl	$0,24(%esp)
	movl	$0,20(%esp)
	movl	$_1,16(%esp)
	movl	$0,12(%esp)
	movl	$_1,8(%esp)
	movl	$_30,4(%esp)
	movl	$_29,(%esp)
	calll	*_bb_item+48
	movl	%eax,-188(%ebp)
	movl	-188(%ebp),%eax
	incl	4(%eax)
	movl	-188(%ebp),%eax
	movl	%eax,-192(%ebp)
	movl	-184(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-196(%ebp)
	movl	-196(%ebp),%eax
	decl	4(%eax)
	jnz	_206
	movl	-196(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_206:
	movl	-184(%ebp),%edx
	movl	-192(%ebp),%eax
	movl	%eax,24(%edx)
	movl	$_207,(%esp)
	calll	*_bbOnDebugEnterStm
	mov	$12,%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_209
	call	_brl_blitz_ArrayBoundsError
_209:
	movl	_bb_item_template,%eax
	shl	$2,%ebx
	add	%ebx,%eax
	movl	%eax,-200(%ebp)
	movl	$0,32(%esp)
	movl	$0,28(%esp)
	movl	$0,24(%esp)
	movl	$0,20(%esp)
	movl	$_1,16(%esp)
	movl	$0,12(%esp)
	movl	$_1,8(%esp)
	movl	$_32,4(%esp)
	movl	$_31,(%esp)
	calll	*_bb_item+48
	movl	%eax,-204(%ebp)
	movl	-204(%ebp),%eax
	incl	4(%eax)
	movl	-204(%ebp),%eax
	movl	%eax,-208(%ebp)
	movl	-200(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-212(%ebp)
	movl	-212(%ebp),%eax
	decl	4(%eax)
	jnz	_214
	movl	-212(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_214:
	movl	-200(%ebp),%edx
	movl	-208(%ebp),%eax
	movl	%eax,24(%edx)
	mov	$0,%ebx
_56:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$48,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_game_item_New:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_223,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbObjectCtor
	movl	-4(%ebp),%eax
	movl	$_bb_game_item,(%eax)
	movl	-4(%ebp),%eax
	movl	$0,8(%eax)
	mov	$0,%ebx
_59:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_game_item_Delete:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
_62:
	movl	-4(%ebp),%eax
	movl	$_bbObjectClass,(%eax)
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbObjectDtor
	mov	$0,%eax
_227:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_inventory_New:
	push	%ebp
	mov	%esp,%ebp
	sub	$48,%esp
	push	%ebx
	sub	$20,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_245,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	__brl_linkedlist_TList_New
	movl	-4(%ebp),%eax
	movl	$_bb_inventory,(%eax)
	movl	$_bbNullObject,-8(%ebp)
	movl	-8(%ebp),%eax
	incl	4(%eax)
	movl	-4(%ebp),%edx
	movl	-8(%ebp),%eax
	movl	%eax,12(%edx)
	movl	$_229,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	movl	%eax,-12(%ebp)
	cmpl	$_bbNullObject,-12(%ebp)
	jne	_231
	call	_brl_blitz_NullObjectError
_231:
	movl	-12(%ebp),%eax
	movl	%eax,-16(%ebp)
	movl	$_brl_linkedlist_TLink,(%esp)
	call	_bbObjectNew
	movl	%eax,-20(%ebp)
	movl	-20(%ebp),%eax
	incl	4(%eax)
	movl	-20(%ebp),%eax
	movl	%eax,-24(%ebp)
	movl	-16(%ebp),%eax
	movl	12(%eax),%eax
	movl	%eax,-28(%ebp)
	movl	-28(%ebp),%eax
	decl	4(%eax)
	jnz	_236
	movl	-28(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_236:
	movl	-16(%ebp),%edx
	movl	-24(%ebp),%eax
	movl	%eax,12(%edx)
	movl	$_237,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	movl	%eax,-32(%ebp)
	cmpl	$_bbNullObject,-32(%ebp)
	jne	_239
	call	_brl_blitz_NullObjectError
_239:
	movl	-32(%ebp),%eax
	movl	%eax,-36(%ebp)
	movl	$_bbNullObject,-40(%ebp)
	movl	-40(%ebp),%eax
	incl	4(%eax)
	movl	-40(%ebp),%eax
	movl	%eax,-44(%ebp)
	movl	-36(%ebp),%eax
	movl	12(%eax),%eax
	movl	%eax,-48(%ebp)
	movl	-48(%ebp),%eax
	decl	4(%eax)
	jnz	_244
	movl	-48(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_244:
	movl	-36(%ebp),%edx
	movl	-44(%ebp),%eax
	movl	%eax,12(%edx)
	mov	$0,%ebx
_65:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$20,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_inventory_Delete:
	push	%ebp
	mov	%esp,%ebp
	sub	$24,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
_68:
	movl	-4(%ebp),%eax
	movl	12(%eax),%eax
	movl	%eax,-8(%ebp)
	movl	-8(%ebp),%eax
	decl	4(%eax)
	jnz	_249
	movl	-8(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_249:
	movl	-4(%ebp),%eax
	movl	$_brl_linkedlist_TList,(%eax)
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	__brl_linkedlist_TList_Delete
	mov	$0,%eax
_247:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_inventory_pickup:
	push	%ebp
	mov	%esp,%ebp
	sub	$44,%esp
	push	%ebx
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	12(%ebp),%eax
	movl	%eax,-8(%ebp)
	movl	$_bbNullObject,-12(%ebp)
	movl	%ebp,4(%esp)
	movl	$_275,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_250,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-8(%ebp),%eax
	movl	%eax,-16(%ebp)
	cmpl	$_bbNullObject,-16(%ebp)
	jne	_252
	call	_brl_blitz_NullObjectError
_252:
	movl	-16(%ebp),%eax
	movl	8(%eax),%ebx
	movl	_bb_item_template,%eax
	cmpl	20(%eax),%ebx
	jb	_254
	call	_brl_blitz_ArrayBoundsError
_254:
	movl	_bb_item_template,%eax
	movl	24(%eax,%ebx,4),%eax
	movl	%eax,-12(%ebp)
	movl	$_256,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-12(%ebp),%eax
	movl	%eax,-20(%ebp)
	cmpl	$_bbNullObject,-20(%ebp)
	jne	_258
	call	_brl_blitz_NullObjectError
_258:
	movl	-20(%ebp),%eax
	cmpl	$0,40(%eax)
	je	_259
	movl	$_260,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	movl	%eax,-24(%ebp)
	cmpl	$_bbNullObject,-24(%ebp)
	jne	_262
	call	_brl_blitz_NullObjectError
_262:
	movl	-8(%ebp),%eax
	movl	%eax,-28(%ebp)
	cmpl	$_bbNullObject,-28(%ebp)
	jne	_264
	call	_brl_blitz_NullObjectError
_264:
	movl	-12(%ebp),%eax
	movl	%eax,-32(%ebp)
	cmpl	$_bbNullObject,-32(%ebp)
	jne	_266
	call	_brl_blitz_NullObjectError
_266:
	movl	-32(%ebp),%eax
	movl	40(%eax),%eax
	movl	%eax,4(%esp)
	movl	-28(%ebp),%eax
	movl	8(%eax),%eax
	movl	%eax,(%esp)
	calll	*_bb_inv_slot+48
	movl	%eax,4(%esp)
	movl	-24(%ebp),%eax
	movl	%eax,(%esp)
	movl	-24(%ebp),%eax
	movl	(%eax),%eax
	calll	*156(%eax)
	jmp	_267
_259:
	movl	$_268,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	movl	%eax,-36(%ebp)
	cmpl	$_bbNullObject,-36(%ebp)
	jne	_270
	call	_brl_blitz_NullObjectError
_270:
	movl	-8(%ebp),%eax
	movl	%eax,-40(%ebp)
	cmpl	$_bbNullObject,-40(%ebp)
	jne	_272
	call	_brl_blitz_NullObjectError
_272:
	movl	-12(%ebp),%eax
	movl	%eax,-44(%ebp)
	cmpl	$_bbNullObject,-44(%ebp)
	jne	_274
	call	_brl_blitz_NullObjectError
_274:
	movl	-44(%ebp),%eax
	movl	40(%eax),%eax
	movl	%eax,4(%esp)
	movl	-40(%ebp),%eax
	movl	8(%eax),%eax
	movl	%eax,(%esp)
	calll	*_bb_inv_slot+48
	movl	%eax,4(%esp)
	movl	-36(%ebp),%eax
	movl	%eax,(%esp)
	movl	-36(%ebp),%eax
	movl	(%eax),%eax
	calll	*156(%eax)
_267:
	mov	$0,%ebx
_72:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$8,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_inventory_add:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	push	%ebx
	sub	$12,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	12(%ebp),%eax
	movl	%eax,-8(%ebp)
	movl	%ebp,4(%esp)
	movl	$_280,(%esp)
	calll	*_bbOnDebugEnterScope
	mov	$0,%ebx
_76:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$12,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_inv_slot_New:
	push	%ebp
	mov	%esp,%ebp
	sub	$4,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_284,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbObjectCtor
	movl	-4(%ebp),%eax
	movl	$_bb_inv_slot,(%eax)
	movl	-4(%ebp),%eax
	movl	$0,8(%eax)
	movl	-4(%ebp),%eax
	movl	$0,12(%eax)
	mov	$0,%ebx
_79:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_inv_slot_Delete:
	push	%ebp
	mov	%esp,%ebp
	sub	$8,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
_82:
	movl	-4(%ebp),%eax
	movl	$_bbObjectClass,(%eax)
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbObjectDtor
	mov	$0,%eax
_286:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_inv_slot_create:
	push	%ebp
	mov	%esp,%ebp
	sub	$40,%esp
	movl	8(%ebp),%eax
	movl	%eax,-8(%ebp)
	movl	12(%ebp),%eax
	movl	%eax,-12(%ebp)
	movl	$_bbNullObject,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_298,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_287,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_bb_inv_slot,(%esp)
	call	_bbObjectNew
	movl	%eax,-4(%ebp)
	movl	$_289,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	movl	%eax,-16(%ebp)
	cmpl	$_bbNullObject,-16(%ebp)
	jne	_291
	call	_brl_blitz_NullObjectError
_291:
	movl	-16(%ebp),%eax
	movl	%eax,-20(%ebp)
	movl	-20(%ebp),%edx
	movl	-8(%ebp),%eax
	movl	%eax,8(%edx)
	movl	$_293,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	movl	%eax,-24(%ebp)
	cmpl	$_bbNullObject,-24(%ebp)
	jne	_295
	call	_brl_blitz_NullObjectError
_295:
	movl	-24(%ebp),%eax
	movl	%eax,-28(%ebp)
	movl	-28(%ebp),%edx
	movl	-12(%ebp),%eax
	movl	%eax,12(%edx)
	movl	$_297,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-4(%ebp),%eax
	movl	%eax,-32(%ebp)
_86:
	calll	*_bbOnDebugLeaveScope
	movl	-32(%ebp),%eax
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_item_New:
	push	%ebp
	mov	%esp,%ebp
	sub	$20,%esp
	push	%ebx
	sub	$16,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	%ebp,4(%esp)
	movl	$_306,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbObjectCtor
	movl	-4(%ebp),%eax
	movl	$_bb_item,(%eax)
	movl	$_bbEmptyString,-8(%ebp)
	movl	-8(%ebp),%eax
	incl	4(%eax)
	movl	-4(%ebp),%edx
	movl	-8(%ebp),%eax
	movl	%eax,8(%edx)
	movl	$_bbEmptyString,-12(%ebp)
	movl	-12(%ebp),%eax
	incl	4(%eax)
	movl	-4(%ebp),%edx
	movl	-12(%ebp),%eax
	movl	%eax,12(%edx)
	movl	$_bbEmptyString,-16(%ebp)
	movl	-16(%ebp),%eax
	incl	4(%eax)
	movl	-4(%ebp),%edx
	movl	-16(%ebp),%eax
	movl	%eax,16(%edx)
	movl	-4(%ebp),%eax
	movl	$0,20(%eax)
	movl	$_bbEmptyString,-20(%ebp)
	movl	-20(%ebp),%eax
	incl	4(%eax)
	movl	-4(%ebp),%edx
	movl	-20(%ebp),%eax
	movl	%eax,24(%edx)
	movl	-4(%ebp),%eax
	movl	$0,28(%eax)
	movl	-4(%ebp),%eax
	movl	$0,32(%eax)
	movl	-4(%ebp),%eax
	movl	$0,36(%eax)
	movl	-4(%ebp),%eax
	movl	$0,40(%eax)
	mov	$0,%ebx
_89:
	calll	*_bbOnDebugLeaveScope
	mov	%ebx,%eax
	add	$16,%esp
	pop	%ebx
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_item_Delete:
	push	%ebp
	mov	%esp,%ebp
	sub	$24,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
_92:
	movl	-4(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-8(%ebp)
	movl	-8(%ebp),%eax
	decl	4(%eax)
	jnz	_309
	movl	-8(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_309:
	movl	-4(%ebp),%eax
	movl	16(%eax),%eax
	movl	%eax,-12(%ebp)
	movl	-12(%ebp),%eax
	decl	4(%eax)
	jnz	_311
	movl	-12(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_311:
	movl	-4(%ebp),%eax
	movl	12(%eax),%eax
	movl	%eax,-16(%ebp)
	movl	-16(%ebp),%eax
	decl	4(%eax)
	jnz	_313
	movl	-16(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_313:
	movl	-4(%ebp),%eax
	movl	8(%eax),%eax
	movl	%eax,-20(%ebp)
	movl	-20(%ebp),%eax
	decl	4(%eax)
	jnz	_315
	movl	-20(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_315:
	movl	-4(%ebp),%eax
	movl	$_bbObjectClass,(%eax)
	movl	-4(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbObjectDtor
	mov	$0,%eax
_307:
	mov	%ebp,%esp
	pop	%ebp
	ret
__bb_item_create:
	push	%ebp
	mov	%esp,%ebp
	sub	$184,%esp
	movl	8(%ebp),%eax
	movl	%eax,-4(%ebp)
	movl	12(%ebp),%eax
	movl	%eax,-8(%ebp)
	movl	16(%ebp),%eax
	movl	%eax,-12(%ebp)
	movl	20(%ebp),%eax
	movl	%eax,-24(%ebp)
	movl	24(%ebp),%eax
	movl	%eax,-16(%ebp)
	movl	28(%ebp),%eax
	movl	%eax,-28(%ebp)
	movl	32(%ebp),%eax
	movl	%eax,-32(%ebp)
	movl	36(%ebp),%eax
	movl	%eax,-36(%ebp)
	movl	40(%ebp),%eax
	movl	%eax,-40(%ebp)
	movl	$_bbNullObject,-20(%ebp)
	movl	%ebp,4(%esp)
	movl	$_371,(%esp)
	calll	*_bbOnDebugEnterScope
	movl	$_316,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	$_bb_item,(%esp)
	call	_bbObjectNew
	movl	%eax,-20(%ebp)
	movl	$_318,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-20(%ebp),%eax
	movl	%eax,-44(%ebp)
	cmpl	$_bbNullObject,-44(%ebp)
	jne	_320
	call	_brl_blitz_NullObjectError
_320:
	movl	-44(%ebp),%eax
	movl	%eax,-48(%ebp)
	movl	-4(%ebp),%eax
	movl	%eax,-52(%ebp)
	movl	-52(%ebp),%eax
	incl	4(%eax)
	movl	-52(%ebp),%eax
	movl	%eax,-56(%ebp)
	movl	-48(%ebp),%eax
	movl	8(%eax),%eax
	movl	%eax,-60(%ebp)
	movl	-60(%ebp),%eax
	decl	4(%eax)
	jnz	_325
	movl	-60(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_325:
	movl	-48(%ebp),%edx
	movl	-56(%ebp),%eax
	movl	%eax,8(%edx)
	movl	$_326,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-20(%ebp),%eax
	movl	%eax,-64(%ebp)
	cmpl	$_bbNullObject,-64(%ebp)
	jne	_328
	call	_brl_blitz_NullObjectError
_328:
	movl	-64(%ebp),%eax
	movl	%eax,-68(%ebp)
	movl	-8(%ebp),%eax
	movl	%eax,-72(%ebp)
	movl	-72(%ebp),%eax
	incl	4(%eax)
	movl	-72(%ebp),%eax
	movl	%eax,-76(%ebp)
	movl	-68(%ebp),%eax
	movl	12(%eax),%eax
	movl	%eax,-80(%ebp)
	movl	-80(%ebp),%eax
	decl	4(%eax)
	jnz	_333
	movl	-80(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_333:
	movl	-68(%ebp),%edx
	movl	-76(%ebp),%eax
	movl	%eax,12(%edx)
	movl	$_334,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-20(%ebp),%eax
	movl	%eax,-84(%ebp)
	cmpl	$_bbNullObject,-84(%ebp)
	jne	_336
	call	_brl_blitz_NullObjectError
_336:
	movl	-84(%ebp),%eax
	movl	%eax,-88(%ebp)
	movl	-12(%ebp),%eax
	movl	%eax,-92(%ebp)
	movl	-92(%ebp),%eax
	incl	4(%eax)
	movl	-92(%ebp),%eax
	movl	%eax,-96(%ebp)
	movl	-88(%ebp),%eax
	movl	16(%eax),%eax
	movl	%eax,-100(%ebp)
	movl	-100(%ebp),%eax
	decl	4(%eax)
	jnz	_341
	movl	-100(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_341:
	movl	-88(%ebp),%edx
	movl	-96(%ebp),%eax
	movl	%eax,16(%edx)
	movl	$_342,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-20(%ebp),%eax
	movl	%eax,-104(%ebp)
	cmpl	$_bbNullObject,-104(%ebp)
	jne	_344
	call	_brl_blitz_NullObjectError
_344:
	movl	-104(%ebp),%eax
	movl	%eax,-108(%ebp)
	movl	-108(%ebp),%edx
	movl	-24(%ebp),%eax
	movl	%eax,20(%edx)
	movl	$_346,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-20(%ebp),%eax
	movl	%eax,-112(%ebp)
	cmpl	$_bbNullObject,-112(%ebp)
	jne	_348
	call	_brl_blitz_NullObjectError
_348:
	movl	-112(%ebp),%eax
	movl	%eax,-116(%ebp)
	movl	-16(%ebp),%eax
	movl	%eax,-120(%ebp)
	movl	-120(%ebp),%eax
	incl	4(%eax)
	movl	-120(%ebp),%eax
	movl	%eax,-124(%ebp)
	movl	-116(%ebp),%eax
	movl	24(%eax),%eax
	movl	%eax,-128(%ebp)
	movl	-128(%ebp),%eax
	decl	4(%eax)
	jnz	_353
	movl	-128(%ebp),%eax
	movl	%eax,(%esp)
	call	_bbGCFree
_353:
	movl	-116(%ebp),%edx
	movl	-124(%ebp),%eax
	movl	%eax,24(%edx)
	movl	$_354,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-20(%ebp),%eax
	movl	%eax,-132(%ebp)
	cmpl	$_bbNullObject,-132(%ebp)
	jne	_356
	call	_brl_blitz_NullObjectError
_356:
	movl	-132(%ebp),%eax
	movl	%eax,-136(%ebp)
	movl	-136(%ebp),%edx
	movl	-28(%ebp),%eax
	movl	%eax,28(%edx)
	movl	$_358,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-20(%ebp),%eax
	movl	%eax,-140(%ebp)
	cmpl	$_bbNullObject,-140(%ebp)
	jne	_360
	call	_brl_blitz_NullObjectError
_360:
	movl	-140(%ebp),%eax
	movl	%eax,-144(%ebp)
	movl	-144(%ebp),%edx
	movl	-32(%ebp),%eax
	movl	%eax,32(%edx)
	movl	$_362,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-20(%ebp),%eax
	movl	%eax,-148(%ebp)
	cmpl	$_bbNullObject,-148(%ebp)
	jne	_364
	call	_brl_blitz_NullObjectError
_364:
	movl	-148(%ebp),%eax
	movl	%eax,-152(%ebp)
	movl	-152(%ebp),%edx
	movl	-36(%ebp),%eax
	movl	%eax,36(%edx)
	movl	$_366,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-20(%ebp),%eax
	movl	%eax,-156(%ebp)
	cmpl	$_bbNullObject,-156(%ebp)
	jne	_368
	call	_brl_blitz_NullObjectError
_368:
	movl	-156(%ebp),%eax
	movl	%eax,-160(%ebp)
	movl	-160(%ebp),%edx
	movl	-40(%ebp),%eax
	movl	%eax,40(%edx)
	movl	$_370,(%esp)
	calll	*_bbOnDebugEnterStm
	movl	-20(%ebp),%eax
	movl	%eax,-164(%ebp)
_103:
	calll	*_bbOnDebugLeaveScope
	movl	-164(%ebp),%eax
	mov	%ebp,%esp
	pop	%ebp
	ret
	.data	
	.align	4
_221:
	.long	0
_216:
	.asciz	"inventoryv0-1"
_217:
	.asciz	"ITEMS"
_36:
	.asciz	"i"
	.align	4
_218:
	.long	_bbStringClass
	.long	2147483647
	.long	2
	.short	49,51
_219:
	.asciz	"item_template"
_220:
	.asciz	"[]:item"
	.align	4
_bb_item_template:
	.long	_bbEmptyArray
	.align	4
_215:
	.long	1
	.long	_216
	.long	1
	.long	_217
	.long	_36
	.long	_218
	.long	4
	.long	_219
	.long	_220
	.long	_bb_item_template
	.long	0
_106:
	.asciz	"/Applications/Programming/SoundlessMountainII/inventoryv0-1.bmx"
	.align	4
_105:
	.long	_106
	.long	2
	.long	1
	.align	4
_109:
	.long	0
_107:
	.asciz	":item"
	.align	4
_111:
	.long	_106
	.long	3
	.long	1
	.align	4
_1:
	.long	_bbStringClass
	.long	2147483647
	.long	0
	.align	4
_5:
	.long	_bbStringClass
	.long	2147483647
	.long	30
	.short	82,101,115,116,111,114,101,115,32,104,101,97,108,116,104,44
	.short	32,109,105,108,100,32,101,102,102,101,99,116,46,32
	.align	4
_4:
	.long	_bbStringClass
	.long	2147483647
	.long	13
	.short	72,101,97,108,116,104,32,68,114,105,110,107,115
_45:
	.asciz	"item"
_46:
	.asciz	"name"
_47:
	.asciz	"$"
_48:
	.asciz	"desc"
_49:
	.asciz	"examine"
_50:
	.asciz	"equip"
_51:
	.asciz	"use_signpost"
_52:
	.asciz	"use_health"
_53:
	.asciz	"combine"
_54:
	.asciz	"result"
_55:
	.asciz	"get_ammo"
	.align	4
_44:
	.long	2
	.long	_45
	.long	3
	.long	_46
	.long	_47
	.long	8
	.long	3
	.long	_48
	.long	_47
	.long	12
	.long	3
	.long	_49
	.long	_47
	.long	16
	.long	3
	.long	_50
	.long	_36
	.long	20
	.long	3
	.long	_51
	.long	_47
	.long	24
	.long	3
	.long	_52
	.long	_36
	.long	28
	.long	3
	.long	_53
	.long	_36
	.long	32
	.long	3
	.long	_54
	.long	_36
	.long	36
	.long	3
	.long	_55
	.long	_36
	.long	40
	.long	0
	.align	4
_bb_item:
	.long	_bbObjectClass
	.long	_bbObjectFree
	.long	_44
	.long	44
	.long	__bb_item_New
	.long	__bb_item_Delete
	.long	_bbObjectToString
	.long	_bbObjectCompare
	.long	_bbObjectSendMessage
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	__bb_item_create
	.align	4
_119:
	.long	_106
	.long	4
	.long	1
	.align	4
_7:
	.long	_bbStringClass
	.long	2147483647
	.long	34
	.short	82,101,115,116,111,114,101,115,32,104,101,97,108,116,104,44
	.short	32,109,111,100,101,114,97,116,101,32,101,102,102,101,99,116
	.short	46,32
	.align	4
_6:
	.long	_bbStringClass
	.long	2147483647
	.long	14
	.short	70,105,114,115,116,32,65,105,100,32,75,105,116,115
	.align	4
_127:
	.long	_106
	.long	5
	.long	1
	.align	4
_9:
	.long	_bbStringClass
	.long	2147483647
	.long	32
	.short	65,32,116,119,111,32,102,111,111,116,32,112,108,97,110,107
	.short	32,119,105,116,104,32,110,97,105,108,115,32,105,110,46,32
	.align	4
_8:
	.long	_bbStringClass
	.long	2147483647
	.long	12
	.short	87,111,111,100,101,110,32,80,108,97,110,107
	.align	4
_135:
	.long	_106
	.long	6
	.long	1
	.align	4
_11:
	.long	_bbStringClass
	.long	2147483647
	.long	29
	.short	76,105,103,104,116,32,104,97,110,100,103,117,110,46,32,32
	.short	69,97,115,121,32,116,111,32,117,115,101,46,32
	.align	4
_10:
	.long	_bbStringClass
	.long	2147483647
	.long	7
	.short	72,97,110,100,103,117,110
	.align	4
_143:
	.long	_106
	.long	7
	.long	1
	.align	4
_13:
	.long	_bbStringClass
	.long	2147483647
	.long	25
	.short	66,117,108,108,101,116,115,32,102,111,114,32,116,104,101,32
	.short	104,97,110,100,103,117,110,46,32
	.align	4
_12:
	.long	_bbStringClass
	.long	2147483647
	.long	15
	.short	72,97,110,100,103,117,110,32,66,117,108,108,101,116,115
	.align	4
_151:
	.long	_106
	.long	8
	.long	1
	.align	4
_16:
	.long	_bbStringClass
	.long	2147483647
	.long	42
	.short	73,110,32,116,104,101,32,100,97,114,107,101,115,116,32,110
	.short	105,103,104,116,44,32,73,32,115,101,101,32,116,104,97,116
	.short	32,112,108,97,99,101,46,46,46,32
	.align	4
_15:
	.long	_bbStringClass
	.long	2147483647
	.long	33
	.short	73,116,39,115,32,100,101,102,105,110,105,116,101,108,121,32
	.short	104,101,114,32,104,97,110,100,119,114,105,116,105,110,103,46
	.short	32
	.align	4
_14:
	.long	_bbStringClass
	.long	2147483647
	.long	16
	.short	76,101,116,116,101,114,32,102,114,111,109,32,75,97,116,101
	.align	4
_159:
	.long	_106
	.long	9
	.long	1
	.align	4
_19:
	.long	_bbStringClass
	.long	2147483647
	.long	40
	.short	75,97,116,101,44,32,99,111,117,108,100,32,121,111,117,32
	.short	114,101,97,108,108,121,32,98,101,32,105,110,32,116,104,105
	.short	115,32,116,111,119,110,63,32
	.align	4
_18:
	.long	_bbStringClass
	.long	2147483647
	.long	32
	.short	70,114,111,109,32,119,104,101,110,32,115,104,101,32,119,97
	.short	115,32,115,116,105,108,32,104,101,97,108,116,104,121,46,32
	.align	4
_17:
	.long	_bbStringClass
	.long	2147483647
	.long	13
	.short	80,104,111,116,111,32,111,102,32,75,97,116,101
	.align	4
_167:
	.long	_106
	.long	10
	.long	1
	.align	4
_21:
	.long	_bbStringClass
	.long	2147483647
	.long	35
	.short	69,109,105,116,115,32,115,116,97,116,105,99,32,119,104,101
	.short	110,32,109,111,110,115,116,101,114,115,32,110,101,97,114,98
	.short	121,46,32
	.align	4
_20:
	.long	_bbStringClass
	.long	2147483647
	.long	5
	.short	82,97,100,105,111
	.align	4
_175:
	.long	_106
	.long	11
	.long	1
	.align	4
_23:
	.long	_bbStringClass
	.long	2147483647
	.long	28
	.short	67,117,114,114,101,110,116,108,121,32,105,110,32,98,114,101
	.short	97,115,116,32,112,111,99,107,101,116,46,32
	.align	4
_22:
	.long	_bbStringClass
	.long	2147483647
	.long	10
	.short	70,108,97,115,104,108,105,103,104,116
	.align	4
_183:
	.long	_106
	.long	12
	.long	1
	.align	4
_26:
	.long	_bbStringClass
	.long	2147483647
	.long	14
	.short	97,112,97,114,116,109,101,110,116,32,100,111,111,114
	.align	4
_25:
	.long	_bbStringClass
	.long	2147483647
	.long	29
	.short	84,104,101,32,107,101,121,32,116,111,32,77,97,115,111,110
	.short	32,65,112,97,114,116,109,101,110,116,115,46,32
	.align	4
_24:
	.long	_bbStringClass
	.long	2147483647
	.long	13
	.short	65,112,97,114,116,109,101,110,116,32,75,101,121
	.align	4
_191:
	.long	_106
	.long	13
	.long	1
	.align	4
_28:
	.long	_bbStringClass
	.long	2147483647
	.long	31
	.short	73,116,32,104,97,115,32,97,32,115,110,97,107,101,32,101
	.short	109,98,111,115,115,101,100,32,111,110,32,105,116,46,32
	.align	4
_27:
	.long	_bbStringClass
	.long	2147483647
	.long	10
	.short	83,110,97,107,101,32,67,111,105,110
	.align	4
_199:
	.long	_106
	.long	14
	.long	1
	.align	4
_30:
	.long	_bbStringClass
	.long	2147483647
	.long	34
	.short	73,116,32,104,97,115,32,97,110,32,111,108,100,32,109,97
	.short	110,32,101,109,98,111,115,115,101,100,32,111,110,32,105,116
	.short	46,32
	.align	4
_29:
	.long	_bbStringClass
	.long	2147483647
	.long	12
	.short	79,108,100,32,77,97,110,32,67,111,105,110
	.align	4
_207:
	.long	_106
	.long	15
	.long	1
	.align	4
_32:
	.long	_bbStringClass
	.long	2147483647
	.long	34
	.short	73,116,32,104,97,115,32,97,32,112,114,105,115,111,110,101
	.short	114,32,101,109,98,111,115,115,101,100,32,111,110,32,105,116
	.short	46,32
	.align	4
_31:
	.long	_bbStringClass
	.long	2147483647
	.long	13
	.short	80,114,105,115,111,110,101,114,32,67,111,105,110
_224:
	.asciz	"New"
_225:
	.asciz	"Self"
_226:
	.asciz	":game_item"
	.align	4
_223:
	.long	1
	.long	_224
	.long	2
	.long	_225
	.long	_226
	.long	-4
	.long	0
_34:
	.asciz	"game_item"
_35:
	.asciz	"oparam4"
	.align	4
_33:
	.long	2
	.long	_34
	.long	3
	.long	_35
	.long	_36
	.long	8
	.long	0
	.align	4
_bb_game_item:
	.long	_bbObjectClass
	.long	_bbObjectFree
	.long	_33
	.long	12
	.long	__bb_game_item_New
	.long	__bb_game_item_Delete
	.long	_bbObjectToString
	.long	_bbObjectCompare
	.long	_bbObjectSendMessage
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	_bbObjectReserved
_246:
	.asciz	":inventory"
	.align	4
_245:
	.long	1
	.long	_224
	.long	2
	.long	_225
	.long	_246
	.long	-4
	.long	0
_38:
	.asciz	"inventory"
_39:
	.asciz	"equipped"
_40:
	.asciz	":brl.linkedlist.TLink"
	.align	4
_37:
	.long	2
	.long	_38
	.long	3
	.long	_39
	.long	_40
	.long	12
	.long	0
	.align	4
_bb_inventory:
	.long	_brl_linkedlist_TList
	.long	_bbObjectFree
	.long	_37
	.long	16
	.long	__bb_inventory_New
	.long	__bb_inventory_Delete
	.long	_bbObjectToString
	.long	_bbObjectCompare
	.long	_bbObjectSendMessage
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	__brl_linkedlist_TList_DataType
	.long	__brl_linkedlist_TList_Clear
	.long	__brl_linkedlist_TList_IsEmpty
	.long	__brl_linkedlist_TList_Contains
	.long	__brl_linkedlist_TList_AddFirst
	.long	__brl_linkedlist_TList_AddLast
	.long	__brl_linkedlist_TList_First
	.long	__brl_linkedlist_TList_Last
	.long	__brl_linkedlist_TList_RemoveFirst
	.long	__brl_linkedlist_TList_RemoveLast
	.long	__brl_linkedlist_TList_FirstLink
	.long	__brl_linkedlist_TList_LastLink
	.long	__brl_linkedlist_TList_InsertBeforeLink
	.long	__brl_linkedlist_TList_InsertAfterLink
	.long	__brl_linkedlist_TList_FindLink
	.long	__brl_linkedlist_TList_ValueAtIndex
	.long	__brl_linkedlist_TList_Count
	.long	__brl_linkedlist_TList_Remove
	.long	__brl_linkedlist_TList_Swap
	.long	__brl_linkedlist_TList_Copy
	.long	__brl_linkedlist_TList_Reverse
	.long	__brl_linkedlist_TList_Reversed
	.long	__brl_linkedlist_TList_Sort
	.long	__brl_linkedlist_TList_ObjectEnumerator
	.long	__brl_linkedlist_TList_ToArray
	.long	__brl_linkedlist_TList_FromArray
	.long	__bb_inventory_pickup
	.long	__bb_inventory_add
	.align	4
_229:
	.long	_106
	.long	26
	.long	3
	.align	4
_237:
	.long	_106
	.long	27
	.long	3
_276:
	.asciz	"pickup"
_277:
	.asciz	"this_item"
_278:
	.asciz	"i_template"
_279:
	.asciz	":item"
	.align	4
_275:
	.long	1
	.long	_276
	.long	2
	.long	_225
	.long	_246
	.long	-4
	.long	2
	.long	_277
	.long	_226
	.long	-8
	.long	2
	.long	_278
	.long	_279
	.long	-12
	.long	0
	.align	4
_250:
	.long	_106
	.long	31
	.long	3
	.align	4
_256:
	.long	_106
	.long	33
	.long	3
	.align	4
_260:
	.long	_106
	.long	34
	.long	4
_42:
	.asciz	"inv_slot"
_43:
	.asciz	"n"
	.align	4
_41:
	.long	2
	.long	_42
	.long	3
	.long	_36
	.long	_36
	.long	8
	.long	3
	.long	_43
	.long	_36
	.long	12
	.long	0
	.align	4
_bb_inv_slot:
	.long	_bbObjectClass
	.long	_bbObjectFree
	.long	_41
	.long	16
	.long	__bb_inv_slot_New
	.long	__bb_inv_slot_Delete
	.long	_bbObjectToString
	.long	_bbObjectCompare
	.long	_bbObjectSendMessage
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	_bbObjectReserved
	.long	__bb_inv_slot_create
	.align	4
_268:
	.long	_106
	.long	36
	.long	4
_281:
	.asciz	"add"
_282:
	.asciz	"o"
_283:
	.asciz	":Object"
	.align	4
_280:
	.long	1
	.long	_281
	.long	2
	.long	_225
	.long	_246
	.long	-4
	.long	2
	.long	_282
	.long	_283
	.long	-8
	.long	0
_285:
	.asciz	":inv_slot"
	.align	4
_284:
	.long	1
	.long	_224
	.long	2
	.long	_225
	.long	_285
	.long	-4
	.long	0
_299:
	.asciz	"create"
_300:
	.asciz	"ii"
_301:
	.asciz	"in"
	.align	4
_298:
	.long	1
	.long	_299
	.long	2
	.long	_300
	.long	_36
	.long	-8
	.long	2
	.long	_301
	.long	_36
	.long	-12
	.long	2
	.long	_36
	.long	_285
	.long	-4
	.long	0
	.align	4
_287:
	.long	_106
	.long	50
	.long	3
	.align	4
_289:
	.long	_106
	.long	51
	.long	3
	.align	4
_293:
	.long	_106
	.long	52
	.long	3
	.align	4
_297:
	.long	_106
	.long	53
	.long	3
	.align	4
_306:
	.long	1
	.long	_224
	.long	2
	.long	_225
	.long	_279
	.long	-4
	.long	0
_372:
	.asciz	"iname"
_373:
	.asciz	"idesc"
_374:
	.asciz	"iexamine"
_375:
	.asciz	"iequip"
_376:
	.asciz	"iuse_signpost"
_377:
	.asciz	"iuse_health"
_378:
	.asciz	"icombine"
_379:
	.asciz	"iresult"
_380:
	.asciz	"iget_ammo"
	.align	4
_371:
	.long	1
	.long	_299
	.long	2
	.long	_372
	.long	_47
	.long	-4
	.long	2
	.long	_373
	.long	_47
	.long	-8
	.long	2
	.long	_374
	.long	_47
	.long	-12
	.long	2
	.long	_375
	.long	_36
	.long	-24
	.long	2
	.long	_376
	.long	_47
	.long	-16
	.long	2
	.long	_377
	.long	_36
	.long	-28
	.long	2
	.long	_378
	.long	_36
	.long	-32
	.long	2
	.long	_379
	.long	_36
	.long	-36
	.long	2
	.long	_380
	.long	_36
	.long	-40
	.long	2
	.long	_36
	.long	_279
	.long	-20
	.long	0
	.align	4
_316:
	.long	_106
	.long	69
	.long	3
	.align	4
_318:
	.long	_106
	.long	70
	.long	3
	.align	4
_326:
	.long	_106
	.long	71
	.long	3
	.align	4
_334:
	.long	_106
	.long	72
	.long	3
	.align	4
_342:
	.long	_106
	.long	73
	.long	3
	.align	4
_346:
	.long	_106
	.long	74
	.long	3
	.align	4
_354:
	.long	_106
	.long	75
	.long	3
	.align	4
_358:
	.long	_106
	.long	76
	.long	3
	.align	4
_362:
	.long	_106
	.long	77
	.long	3
	.align	4
_366:
	.long	_106
	.long	78
	.long	3
	.align	4
_370:
	.long	_106
	.long	79
	.long	3
